Skip to content

商品ランキング - 新着商品

概要

新しく出品された商品を取得します。以下の機能をサポートします。

  • フィルターパラメータの設定が可能
  • カスタムソート順に対応

API エンドポイント

bash
    POST /product/v1/rank/newListed

リクエストボディ

フィールド必須説明
filterobjectいいえフィルターパラメータ
orderbyobjectいいえソートパラメータ
pageintegerいいえページ番号, デフォルト: 1
pagesizeintegerいいえ1ページあたりの件数, デフォルト: 10

page * pagesize <= 500

pagesize 範囲 [1, 100]

filter オプション値

フィールド必須説明
regionstringいいえ国/地域
date_infoobjectはい日付情報, 例: {'type': 'day', 'value': '2026-02-01'}
category_idintegerいいえ商品カテゴリ
is_cross_borderintegerいいえ越境EC商品かどうか
is_fully_managedintegerいいえフルマネージド商品かどうか

利用可能な地域: ['US', 'ID', 'GB', 'VN', 'TH', 'MY', 'PH', 'SG', 'ES', 'MX', 'DE', 'FR', 'PT', 'NL', 'BE', 'AT', 'PL', 'IT', 'BR', 'JP']

date_info オプション値: ['day'](日次のみサポート)、value は3日前の日付である必要があります。形式: YYYY-MM-DD

orderby オプション値

フィールド必須説明
day3_units_soldいいえ3日間販売数
day3_gmvいいえ3日間売上
total_units_soldいいえ総販売数
total_gmvいいえ総売上

リクエスト例

bash
curl 'https://openapi.fastmoss.com/product/v1/rank/newListed' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "region": "US",
        "category_id": 2,
        "date_info": {
            "type": "day",
            "value": "2026-02-01"
        }
    },
     "orderby": [
      {
        "field": "day3_units_sold",
        "order": "desc"
      }
    ],
    "page": 1,
    "pagesize": 10
}'

レスポンスボディ

data.total

  • 型: integer
  • 説明: 結果の総数

data.list

フィールド説明
product_idstring商品ID
titlestring商品タイトル
regionstring国/地域
coverstring商品カバーURL
categoryobject商品カテゴリ
commission_rateintegerコミッション率
real_pricestring商品価格
currencystring価格の通貨
day3_units_soldinteger3日間販売数
day3_gmvinteger3日間売上
total_units_soldinteger総販売数
total_gmvinteger総売上
shopobjectショップ情報

data.list.shop

フィールド説明
seller_idstringショップID
namestringショップ名
avatarstringショップカバーURL
total_units_soldintegerショップ総販売数

レスポンス例

json
{
  "code": 0,
  "msg": "success",
  "data": {
    "total": 500,
    "list": [
      {
                "product_id": "1732296548196717129",
                "day3_units_sold": 1862,
                "day3_gmv": 31937.01,
                "is_fully_managed": 0,
                "is_cross_border": 1,
                "total_units_sold": 1862,
                "total_gmv": 31470.65,
                "off_shelves": 0,
                "launch_time": 1773924919,
                "title": "Artificial Flowers for Outdoor Indoor Garden Home Decoration, Plastic Faux Flowers, Faux Flower Daisy with Eucalyptus Leaves Fake Plants Greenery Boxwood Porch Patio",
                "cover": "https://s.500fd.com/tt_product/7a113ce6dc2643498eb16d7a3b5fc789~tplv-fhlh96nyum-resize-jpeg:800:800.jpeg",
                "region": "US",
                "currency": "USD",
                "real_price": "$16.24",
                "commission_rate": 1200,
                "category": {
                    "l1": {
                        "id": 10,
                        "name": "Home Supplies"
                    },
                    "l2": {
                        "id": 852104,
                        "name": "Home Decor"
                    },
                    "l3": {
                        "id": 700654,
                        "name": "Decorative Flowers, Plants & Fruit"
                    }
                },
                "shop": {
                    "avatar": "https://s.500fd.com/tt_shop/0f34e8c185dd479ab7e796acd52a5b51~tplv-fhlh96nyum-resize-png:300:300.png",
                    "seller_id": "7494146835918194249",
                    "name": "Gubercen",
                    "total_units_sold": 57263,
                    "is_fully_managed": null
                }
            }
    ]
  }
}